import { GetReferenceStatusParams, StatusData } from '..';

declare type UsePollReferenceStatusConfig = {
    ref: string;
    onComplete?: (data: any) => void;
    onError?: (error: Error) => void;
    onCancel?: () => void;
    interval?: number;
};
declare type UsePollReferenceStatus = {
    data: any | null;
    error: Error | null;
    cancel: () => void;
};
export declare function usePollReferenceStatus(getReferenceStatus: (params: GetReferenceStatusParams) => Promise<StatusData>, config: UsePollReferenceStatusConfig): UsePollReferenceStatus;
export {};
