import { CreateNonceLinkResult } from '@bedrock-foundation/sdk';

declare type UseCreateNonceLinkConfig<T> = {
    onComplete?: (result: CreateNonceLinkResult) => void;
    onError?: (error: Error) => void;
    onCancel?: () => void;
    params: T;
};
declare type UseCreateNonceLink = {
    result: CreateNonceLinkResult | null;
    loading: boolean;
    error: Error | null;
    cancel: () => void;
};
export declare function useCreateNonceLink<T>(createNonceLink: (params: T) => Promise<CreateNonceLinkResult>, config?: UseCreateNonceLinkConfig<T>): UseCreateNonceLink;
export {};
